

#ifndef _VIDEOSOURCE_H_
#define _VIDEOSOURCE_H_

#include "cv.h"
#include "cvaux.h"
#include "highgui.h"

#define SOURCE_TYPE_UNKNOWN	( -1 )
#define SOURCE_TYPE_AVIFILE	(  1 )
#define SOURCE_TYPE_WEBCAM	(  2 )

class VideoSource {
	private:
		int sourceType;
		
		CvCapture * capture;
		IplImage * frame;
		
	public:
		VideoSource( const int webcamID );
		VideoSource( const char * aviFileName );
		
		
		~VideoSource( );

		void init( void );
		void destroy( void );
		
		IplImage * getFrame( void );
};


#endif /*  _VIDEOSOURCE_H_  */
